<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab" role="tablist" n:if="$meeting->isLoaded()">
                    <li class="nav-item">
                        <a class="nav-link active" href="#zakladni-nastaveni" data-toggle="tab" role="tab" aria-selected="true">Základní údaje</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#document" data-toggle="tab" role="tab" aria-selected="false"><i class="fas fa-copy"></i>
                            Dokumenty <span class="badge badge-primary" n:snippet="snipDocumentsCount">{$meeting->getFiles()->count()}</span>
                        </a>
                    </li>
                </ul>

                <div class="tab-content" id="myTabContent" n:tag-if="$meeting->isLoaded()">
                    <div class="tab-pane fade show active" id="zakladni-nastaveni" role="tabpanel" n:tag-if="$meeting->isLoaded()">
                        {form form}
                            <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                            <div class="row">
                                <div class="col-12 col-lg-8 col-xl-9">
                                    {label name /}
                                    <div class="form-group">
                                        {input name class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-lg-4 col-xl-3">
                                    {label term /}
                                    <div class="form-group">
                                        {input term class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12 col-lg-6 col-xl-4">
                                    {label place_name /}
                                    <div class="form-group">
                                        {input place_name class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-lg-6 col-xl-4">
                                    {label place_address /}
                                    <div class="form-group">
                                        {input place_address class => 'form-control'}
                                    </div>
                                </div>
                                <div class="col-12 col-lg-6 col-xl-2">
                                    {label place_gps_lat /}
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text font-weight-bold" for="{$form['place_gps_lat']->getHtmlId()}">
                                                    N
                                                </label>
                                            </div>
                                            {input place_gps_lat class => 'form-control'}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-lg-6 col-xl-2">
                                    {label place_gps_lng /}
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text font-weight-bold" for="{$form['place_gps_lng']->getHtmlId()}">
                                                    E
                                                </label>
                                            </div>
                                            {input place_gps_lng class => 'form-control'}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {$form['image_preview']|formImageWithRFM:$meeting->getImagePreview()}

                            <div class="row">
                                <div class="col-12 form-group">
                                    {label content /}
                                    {input content class => 'form-control',  data-tinymce => 'default'}
                                </div>
                            </div>

                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input send_back class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        {/form}
                    </div>

                    <div class="tab-pane fade" id="document" role="tabpanel" n:if="$meeting->isLoaded()">
                        {control formFile}

                        <div class="row mt-3" n:snippet="snipDocuments">
                            <div class="col-12 table-responsive" n:if="$meeting->getFiles()->count()">
                                <table class="table table-striped table-hover">
                                    <thead>
                                    <tr>
                                        <th>{_'form.meeting.edit.file.name'}</th>
                                        <th class="text-right">{_'form.meeting.edit.file.size'}</th>
                                        <th class="text-right">{_'form.meeting.edit.file.last-update-at'}</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr n:foreach="$meeting->getFiles() as $file">
                                        <td>
                                            <a n:href="downloadFile! hash => $file->getHash()">
                                                {$file->getName()}
                                            </a>
                                        </td>
                                        <td class="text-right">{$file->getSizeInUnit()}</td>
                                        <td class="text-right">{$file->getLastUpdateAt()|date:'d.m.Y H:i'}</td>
                                        <th class="text-right">
                                            <a n:href="downloadFile! hash => $file->getHash()" class="btn btn-xs btn-outline-primary">
                                                <i class="fas fa-download"></i> {_'form.meeting.edit.file.action.download'}
                                            </a>
                                            <a href="#"
                                               data-link="{link removeFile! hash => $file->getHash()}"
                                               data-confirm="{_'form.meeting.edit.file.remove.confirm'}"
                                               class="btn btn-xs btn-outline-danger">
                                                <i class="far fa-trash-alt"></i> {_'form.meeting.edit.file.action.remove'}
                                            </a>
                                        </th>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

</div>